Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global module_name xtend

Name:           nodejs-%{module_name}
Version:        4.0.1
Release:        alt1_5
Summary:        Extend like a boss

License:        MIT
URL:            https://github.com/Raynos/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(tape)
Source44: import.info
 
%description
xtend is a basic utility library which allows you to extend an object by
appending all of the properties from each object in a list. When there
are identical properties, the right-most property takes precedence.

%prep
%setup -q -n package
rm -rf node_modules

# Fix upstream file name
mv LICENCE LICENSE

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
node test.js

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{module_name}


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_5
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt0.1.njs.bootstrap
- bootstrap

